//**********************************************************************************
//**
//**  File Name: common.js
//**
//**  Summary: SupportSoft Common JavaScript File
//**
//**  Description: This file contains global functions and structures used by
//**               serveral pages.
//**
//**  Copyright SupportSoft Inc. 2003, All rights reserved.
//**
//**********************************************************************************


// set this to true if you want to drive software installation from remote server
var gbRemotePages = true;
var gRemoteInstLoc = 'http://softdev.adelphia.net/sdcsma/html/';

// Get the local html path for return from server
var gLocalHtml = ssGetReg("LocalHtml");

//**********************************************************************************
// Constants
//**********************************************************************************

// RunCommand arguments
// Example: window.external.RunCommand(path,BCONT_RUNCMD_NORMAL)
var BCONT_RUNCMD_NORMAL = 0;
var BCONT_RUNCMD_MINIMIZED = 1;
var BCONT_RUNCMD_HIDDEN = 2;
var BCONT_RUNCMD_ASYNC = 4;

//**********************************************************************************
// Global Variables
//**********************************************************************************

// Debug flags
// Values are entered on through test.htm interface and stored in registry
var gdebugger = ssGetReg('Debugger');
var gdebugServer = ssGetReg('debugServer');
var gdebugSend = ssGetReg('debugSend');
var gdebugRemote = ssGetReg('debugRemote');
var gdebugFreeSpace = ssGetReg('debugFreeSpace');
var gdebugRAM = ssGetReg('debugRAM');
var gdebugCPU = ssGetReg('debugCPU');
var gdebugNIC = ssGetReg('debugNIC');
var gdebugTcpip = ssGetReg('debugTcpip');
var gdebugDhcp = ssGetReg('debugDhcp');
var gdebugAccess = ssGetReg('debugAccess');
var gdebugEmail = ssGetReg('debugEmail');              // Enter mail client. Example: Outlook Express, Outlook, Eudora, Hotmail
var gdebugIE = ssGetReg('debugIE');                    // Enter Internet Explorer version
var gdebugOS = ssGetReg('debugOS');                    // Example: Windows 2000, Windows 98, Windows XP. Without "Windows," it will fail
var gdebugOSTutorial = ssGetReg('debugOSTutorial');    // Valid inputs: xp, nt, 2k, 98, 95, me.

// Querystring variables
var gArrayPath;
var gPageName;
var gPath;
var gHref;

// Grabs value from bcont.ini. Used if some files are put on a server. See arraySteps notes below
var gRemoteServer = window.external.GetPath("server");

// Grabs value from bcont.ini. Used to get remote server global
var gGlobalServer = window.external.GetPath("global");

// Grabs value from bcont.ini. Used to get remote homenet server global
var gHomenetServer = window.external.GetPath("homenetserver");

//*******************************************************************************
// Set up multidimensional array arguments for arraySteps
// Usage:   arraySteps[i].page or arraySteps[i].title
//*******************************************************************************
function ssSetSteps(page,title) {
  this.page = page;
  this.title = title;
}

//**********************************************************************************
// Multidimensional array to store steps and titles
// To access pages on the server, as defined in setup.ini, use the following syntax:
//     arraySteps[6] = new ssSetSteps(gRemoteServer + 'install.htm','Install Cable Modem');
// Titles used only on test page (test.htm)
//**********************************************************************************
var router = ssGetReg("RouterChoice");
var arraySteps = new Array();

arraySteps[arraySteps.length] = new ssSetSteps('welcome.htm','Welcome');
arraySteps[arraySteps.length] = new ssSetSteps('begin.htm', 'Installation Overview');
arraySteps[arraySteps.length] = new ssSetSteps('license.htm','Subscriber Agreement');
arraySteps[arraySteps.length] = new ssSetSteps('modemtype.htm','Select Connection Type');


var INDEX_USERINFO = ssGetNameIndex(gRemoteInstLoc + 'userinfo.htm');
var INSTALL_MODEM_INDEX = ssGetNameIndex(gRemoteInstLoc + 'install.htm');

//**********************************************************************************  
// Multidimensional array to store failure pages and titles
// Used for test page (test.htm)
// To access pages on the server, as defined in setup.ini, use the following syntax:
//     arraySteps[6] = new ssSetSteps(gRemoteServer + 'install.htm','Install Cable Modem');
//**********************************************************************************
var arrayFailPages = new Array();
arrayFailPages[arrayFailPages.length] = new ssSetSteps(gRemoteInstLoc + "viewer_nic.htm","NIC Installation Tutorial");
arrayFailPages[arrayFailPages.length] = new ssSetSteps(gRemoteInstLoc + "viewer_tcpip.htm","TCPIP Installation Tutorial");
arrayFailPages[arrayFailPages.length] = new ssSetSteps(gRemoteInstLoc + "viewer_bridge.htm","Bridge Removal Tutorial");
arrayFailPages[arrayFailPages.length] = new ssSetSteps(gRemoteInstLoc + "viewer_enable.htm","Enable Adapter Tutorial");
arrayFailPages[arrayFailPages.length] = new ssSetSteps(gRemoteInstLoc + "fail_cpu.htm","Insufficient CPU");
arrayFailPages[arrayFailPages.length] = new ssSetSteps(gRemoteInstLoc + "fail_mem_orig.htm","Insufficient Memory");
arrayFailPages[arrayFailPages.length] = new ssSetSteps(gRemoteInstLoc + "fail_os.htm","Unsupported Operating System");
arrayFailPages[arrayFailPages.length] = new ssSetSteps(gRemoteInstLoc + "fail_disk.htm","Not Enough Free Disk Space");
arrayFailPages[arrayFailPages.length] = new ssSetSteps(gRemoteInstLoc + "cable_install.htm","Connect NIC");


//*******************************************************************************
// Set up multidimensional array arguments for arraySupportedOS
// Usage:   arraySupportedOS[i].fullname or arraySupportedOS[i].abName (abbreviated)
//*******************************************************************************
function ssSetOSArray(fullname,abName) {
  this.fullname = fullname;
  this.abName = abName;
}

// Support Windows Operating Systems
// Use function ssDisplaySupportedOS() from display.js to display in a list
// The first element is the fullname of the OS. The second is the string to search on
var arraySupportedOS = new Array();
arraySupportedOS[0] = new ssSetOSArray("Windows XP","xp");
arraySupportedOS[1] = new ssSetOSArray("Windows 2000","2000");
arraySupportedOS[2] = new ssSetOSArray("Windows Millennium (ME)","me");
arraySupportedOS[3] = new ssSetOSArray("Windows NT 4.0","nt");
arraySupportedOS[4] = new ssSetOSArray("Windows 98","98");


//**********************************************************************************
// Functions
//**********************************************************************************

//*******************************
// Name:         ssGetReg
// Purpose:      Retrieve a registry value from HKLM/Software/support.com/autoprov
// Parameter:    name -- Name of the registry value to retrieve
// Return:       String
//*******************************
function ssGetReg(name)
{
  return(window.external.QueryRegValue("HKLM", "Software\\support.com\\autoprov", name));
}

//*******************************
// Name:         ssSetReg
// Purpose:      Assign a value to a given registry key in HKLM/Software/support.com/autoprov
// Parameter:    name -- Name of the registry key
//               value -- Value to give registry key
//*******************************
function ssSetReg(name, value)
{
  window.external.SetRegValueByType("HKLM", "Software\\support.com\\autoprov", name, 1, value); 
}

//*******************************
// Name:         ssGetRegistryStep
// Purpose:      Retrieve current step from the registry
// Parameter:    name -- Name of the registry value to retrieve
// Return:       String
//*******************************
function ssGetRegistryStep(name)
{
  var strNum = new String(window.external.QueryRegValue("HKLM", "Software\\support.com\\autoprov", name));
  cs = parseInt(strNum);
  if (isNaN(cs)) 
  {
    cs = 0;
  } else {
    if ((cs < 0) || (cs > arraySteps.length-1)) cs = 0;
  }
  return cs;
}

//*******************************
// Name:         ssSaveNextStep
// Purpose:      Advance the step by one and store in registry
//*******************************
function ssSaveNextStep()
{
  next = ssGetRegistryStep("CurrentStep")+1;
  ssSetReg("CurrentStep", next);
}

//*******************************
// Name:         ssGoNextStep
// Purpose:      Send the browser container to the next step (Web page)
//*******************************
function ssGoNextStep()
{
  next = ssGetRegistryStep("CurrentStep")+1;
  ssGoStep(next);
}

//*******************************
// Name:         ssGoPreviousStep
// Purpose:      Send the browser container to the previous step (used for back button)
//*******************************
function ssGoPreviousStep()
{
  prev = ssGetRegistryStep("PreviousStep");
  // guard against previous larger then current
  if (ssGetPageIndex()>=prev)
  {
    ssGoStep(prev);
  } else {
    ssGoStep(ssGetPageIndex()-1);
  }
}

//*******************************
// Name:         ssGoStep
// Purpose:      Send the browser container to a specified step
// Parameter:    step -- integer indicating the step the browser will go to
//*******************************
function ssGoStep(step)
{
  if (step<0) step = 0;
  location.href = arraySteps[step].page;
}

//*******************************
// Name:         ssGoCurrentStep
// Purpose:      Send the browser container to the current step, as specified in registry
//*******************************
function ssGoCurrentStep()
{
  ssGoStep(ssGetRegistryStep("CurrentStep"));
}

//*******************************
// Name:         ssGetNameIndex
// Purpose:      Get the step index of a specified URL
// Parameter:    URL -- URL of a given Web page. Example: install.htm
// Return:       Integer
//*******************************
function ssGetNameIndex(URL)
{  
  for(var cnt=0;cnt<arraySteps.length;cnt++)
  {
    if (arraySteps[cnt].page.indexOf(URL) != -1){
    return cnt;
    }
  }
  return -1;
}

//*******************************
// Name:         ssGetPageIndex
// Purpose:      Get the step index of the current page
// Return:       Integer
//*******************************
function ssGetPageIndex()
{
  var URL = ssGetCurrentPage();
  
  for(var cnt=0;cnt<arraySteps.length;cnt++)
  {
    if (arraySteps[cnt].page.indexOf(URL) != -1)
    return cnt;
  }
  return -1;
}

//*******************************
// Name:         ssGetRootPath
// Purpose:      Get the root path of the current page
// Return:       String. Example: E:/autoprov
//*******************************
function ssGetRootPath()
{
 return(window.external.GetPath("bin").replace(/bin\\/,""));
}

//*******************************
// Name:         ssGetServerPath
// Purpose:      Get the local global server
// Return:       String. Example: E:/autoprov/global
//*******************************
function ssGetServerPath()
{

  path = ssGetRootPath() + 'global';
  //alert("this is the value of path " + path);
  // var path="http:\\\\softdev.adelphia.net\\global";
  return path;

}

//*******************************
// Name:         ssGetCurrentPage
// Purpose:      Get the current Web page in form of: page.htm
// Return:       String
//*******************************
function ssGetCurrentPage()
{
  var strRawPath = unescape(location.href).toLowerCase();
  var arrayOne = strRawPath.split('.htm');
  var arrayTwo = arrayOne[0].split('/');
  var strCurrentPage = arrayTwo[arrayTwo.length-1] + ".htm";
  return strCurrentPage;
}

//*******************************
// Name:         ssGetOS
// Purpose:      Find the abbreviated operating system name, based on arraySupportedOS.abName
// Return:       String
//*******************************
function ssGetOS()
{
  var strOS = "";
  for (i=0; i < arraySupportedOS.length-1; i++)
  {
    if (ssGetReg("OS").indexOf(arraySupportedOS[i].abName) != -1)
    {
      strOS = arraySupportedOS[i].abName
    }
  }
  return strOS;
}

//*******************************
// Name:         ssSetFailQuerystring
// Purpose:      Set the Querystring for fail pages. This is used for the href in the tutorial continue button
// Return:       String in form of a full URL with querystring
//*******************************
function ssSetFailQuerystring()
{
  var gHref = "";
  gPath = unescape(location.href);
  gPath = gPath.toLowerCase();
  
  // Set the href value for continue button on qual.htm
  // Adding fail pages to the querystring
  if (ssGetCurrentPage() == "qual.htm")
  {
    var arrayFail = gQueryString.split("&");
    gHref = arrayFail[0] + "?";

    for (i=1; i<= arrayFail.length-1; i++)
    {
      if (arrayFail[i] != "")
      {
        gHref += arrayFail[i] + "&";
      }
    }
  }
  // Set the href value for continue button from fail pages
  // Will hit next fail page, or, if none, go back to qual.htm
  else
  {
    var arrayQuery = gPath.split("?");

    if (arrayQuery[1] == "")
    {
      gHref = "qual.htm?adapter=0";
    }
    else
    {
      var strQuery = arrayQuery[arrayQuery.length-1];
      var arrayPages = strQuery.split("&");
      gHref = arrayPages[0] + "?";
      
      for (i=1; i<=arrayPages.length-1; i++)
      {
        if (arrayPages[i] != "")
        {
          gHref = gHref + arrayPages[i] + "&";
        }
      }
    }
  }
  return gHref;
}

//*******************************
// Name:         ssSetInstallRestart
// Purpose:      Set in the registry the page to open up on a reboot.
//*******************************
function ssSetInstallRestart()
{
  path = window.external.GetPath("EXE_PATH");
  url = window.external.GetPath("restarturl");
  ssSetRunOnceKey('"'+path+'" "'+url+'"');
}

//*******************************
// Name:         ssSetRunOnceKey
// Purpose:      Set the RunOnce key in HKCU so that SmartAccess will launch on reboot
// Parameter:    path -- URL of the page SmartAccess will open on reboot
//*******************************
function ssSetRunOnceKey(path)
{
  window.external.SetRegValueByType("HKCU", "Software\\Microsoft\\Windows\\CurrentVersion\\RunOnce", "LaunchCMInstall", 1, path); 
}

//*******************************
// Name:         ssCloseApp
// Purpose:      Close the container (browser)
//*******************************
function ssCloseApp()
{
  window.external.Close();
}

//*******************************
// Name:         ssExitApp
// Purpose:      Close the container (browser) and reset current step to 0 so user can start over
//*******************************
function ssExitApp()
{
  ssSetReg('CurrentStep', 0);
  ssSetReg('pageFlow', '');
  ssSetReg('timeFlow', '');
  ssSetReg('pageCounter', '');
  ssSetReg('ModemDemo', '');
  ssSetReg('FilterDemo', '');
  ssSetReg('ModemType', '');
  ssSetReg('bprotected', '');
  ssCloseApp();
}

//*******************************
// Name:         ssUndoApp
// Purpose:      Undo IE changes and Close the container (browser) and reset current step to 0 so user can start over
//*******************************
function ssUndoApp()
{
  document.all.network.innerHTML = "Restoring previous network settings...";
  document.all.imgnetwork.src = "../images/sacic_light_yellow.gif";
  setTimeout('ssRestoreNet()',3000);

  setTimeout('ssRestoreIE()',6000);

  setTimeout('ssExitApp()',9000);
}

function ssRestoreNet()
{
  if (ssRestoreNetworkSettings())
  {
    document.all.network.innerHTML = "Previous network settings restored.";
    document.all.imgnetwork.src = "../images/sacic_light_green.gif";
  }
  else
  {
    document.all.network.innerHTML = "No changes were needed for your network settings.";
    document.all.imgnetwork.src = "../images/sacic_light_yellow.gif";
  }
  document.all.ie.innerHTML = "Restoring previous Internet Explorer settings...";
  document.all.imgie.src = "../images/sacic_light_yellow.gif";
}

function ssRestoreIE()
{
  if (ssRestoreIEBranding())
  {
    document.all.ie.innerHTML = "Previous Internet Explorer settings restored.";
    document.all.imgie.src = "../images/sacic_light_green.gif";
  }
  else
  {
    document.all.ie.innerHTML = "Failed to restore Internet Explorer settings";
    document.all.imgie.src = "../images/sacic_light_red.gif";
  }
}


//*******************************
// Name:         ssWindowOnLoad
// Purpose:      Always set the current step to the current page that just loaded
//               if it is a step page
//*******************************
function ssWindowOnLoad()
{
  // have to watch for detours from current pages that
  // return to step page
  currentPage = ssGetPageIndex();
  previousPage = ssGetRegistryStep("CurrentStep");
 /* if ((currentPage == 0 && previousPage > 0) || (currentPage == 1 && previousPage > 1)){
     ssGoStep(previousPage);
     }
*/

  if (currentPage >= 0 && currentPage != previousPage)
  {
    ssSetReg("PreviousStep", previousPage);
    ssSetReg("CurrentStep", currentPage);
    
  }
   
  // Track the steps for reporting
  var regValue = ssGetReg("pageCounter");
  
  // Get date and format it
  
  var objDate = new Date();
  var strDate = objDate.getDate();
  var strYear = objDate.getFullYear();
  var strMonth = objDate.getMonth();
  var strHour = objDate.getHours();
  var strMinutes = objDate.getMinutes();
  var strSeconds = objDate.getSeconds();
   
  var formattedDate = new Date(strYear,strMonth,strDate,strHour,strMinutes,strSeconds);
  
  var strFullDate = strMonth + "/" + strDate + "/" + strYear + " " + strHour + ":" + strMinutes + ":" + strSeconds;
 
  if (regValue == "")
  {
    ssSetReg("pageCounter", 1);
  }
  else
  {
    var value = parseInt(ssGetReg("pageCounter")) + 1;
    ssSetReg("pageCounter", value);
  }
 
  ssSetReg("pageFlow", ssGetReg("pageFlow") + ssGetCurrentPage() + "<br>");
  ssSetReg("timeFlow", ssGetReg("timeFlow") + strFullDate + "<br>");
}


//*******************************
// Name:         ssGetTempDir
// Purpose:      Get Temp directory.
//*******************************
function ssGetTempDir()
{
  var tempDir = window.external.GetPath("%TEMP%");
  if (tempDir == null || tempDir == "")
  {
    tempDir = "c:\\";
  }
  return tempDir;
}

//*******************************
// Name:         ssSaveNetworkSettings
// Purpose:      Save network settings to the root of the home drive
//*******************************
function ssSaveNetworkSettings()
{
  try
  {
    window.external.ProtectNet(ssGetTempDir() + "net_save.dna");
    ssSetReg("bprotected",1);
    return true;
  }
  catch(e)
  {
    return false;
  }
}

//*******************************
// Name:         ssRestoreNetworkSettings
// Purpose:      Restore network settings. Requires reboot.
// Return:       boolean
//*******************************
function ssRestoreNetworkSettings()
{
  var netProtected = ssGetReg("bprotected");
  if (netProtected == 1)
  {
    window.external.HealNet(ssGetTempDir() + "net_save.dna");
    return true;
  }
  else
  {
//    alert("SmartAccess could not restore your network settings because no previous network settings were found.");
    return false;
  }
}

//*******************************
// Name:         ssSaveBackupReg
// Purpose:      Save to registry in "HKLM", "Software\\support.com\\Setup\\backup"
// Usage:        To save branding elements of IE for restore later
//*******************************
function ssSaveBackupReg(name, value){
     window.external.SetRegValueByType("HKLM", "Software\\support.com\\Setup\\backup", name, 1, value);
 }

//*******************************
// Name:         ssSaveIEBranding
// Purpose:      Save original branding of Internet Explorer to registry
//               Saves images and home page
// Return:       boolean
//*******************************
function ssSaveIEBranding()
{
  var aBigBitmap   = window.external.QueryRegValue("HKCU", "Software\\Microsoft\\Internet Explorer\\Toolbar", "BrandBitmap");
  var aSmallBitmap = window.external.QueryRegValue("HKCU", "Software\\Microsoft\\Internet Explorer\\Toolbar", "SmBrandBitmap");
  var homepage     = window.external.QueryRegValue("HKCU", "Software\\Microsoft\\Internet Explorer\\Main", "Start Page");
  var ieTitle      = window.external.QueryRegValue("HKCU", "Software\\Microsoft\\Internet Explorer\\Main", "Window Title");
  var bBigBitMap   = window.external.QueryRegValue("HKLM", "Software\\Microsoft\\Internet Explorer\\Main", "BigBitmap");
  var bSmallBitMap = window.external.QueryRegValue("HKLM", "Software\\Microsoft\\Internet Explorer\\Main", "SmallBitmap");
    
  var LastUserID = window.external.QueryRegValue("HKCU", "Identities", "Last User ID"); 
  var CurrentOeTitleBar = window.external.QueryRegValue("HKCU", "Identities\\" + LastUserID + "\\Software\\Microsoft\\Outlook Express\\5.0", "WindowTitle");

  ssSaveBackupReg("OeWindowTitle", CurrentOeTitleBar);
  ssSaveBackupReg("BrandBitmap", aBigBitmap);
  ssSaveBackupReg("SmBrandBitmap", aSmallBitmap);
  ssSaveBackupReg("Start Page", homepage);
  ssSaveBackupReg("Window Title", ieTitle);
  ssSaveBackupReg("BigBitMap", bBigBitMap);
  ssSaveBackupReg("SmallBitMap", bSmallBitMap);
  
  ssSetReg("bIEprotected",1);
}

//*******************************
// Name:         ssRestoreIEBranding
// Purpose:      Return original branding of Internet Explorer to from
//               Resets images and home page
// Return:       boolean
//*******************************
function ssRestoreIEBranding()
{
  try
  {
    var aBigBitmap   = window.external.QueryRegValue("HKLM", "Software\\support.com\\Setup\\backup", "BrandBitmap");
    var aSmallBitmap = window.external.QueryRegValue("HKLM", "Software\\support.com\\Setup\\backup", "SmBrandBitmap");
    var homepage     = window.external.QueryRegValue("HKLM", "Software\\support.com\\Setup\\backup", "Start Page");
    var ieTitle      = window.external.QueryRegValue("HKLM", "Software\\support.com\\Setup\\backup", "Window Title");
    var oeTitle      = window.external.QueryRegValue("HKLM", "Software\\support.com\\Setup\\backup", "OeWindowTitle");
    var bBigBitMap   = window.external.QueryRegValue("HKLM", "Software\\support.com\\Setup\\backup", "BigBitmap");
    var bSmallBitMap = window.external.QueryRegValue("HKLM", "Software\\support.com\\Setup\\backup", "SmallBitmap");
    
    window.external.SetRegValueByType("HKCU", "Software\\Microsoft\\Internet Explorer\\Toolbar", "BrandBitmap", 1, aBigBitmap);
    window.external.SetRegValueByType("HKCU", "Software\\Microsoft\\Internet Explorer\\Toolbar", "SmBrandBitmap", 1, aSmallBitmap);
    window.external.SetRegValueByType("HKCU", "Software\\Microsoft\\Internet Explorer\\Main", "Start Page", 1, homepage);
    window.external.SetRegValueByType("HKLM", "Software\\Microsoft\\Internet Explorer\\Main", "BigBitmap", 1, bBigBitMap);
    window.external.SetRegValueByType("HKLM", "Software\\Microsoft\\Internet Explorer\\Main", "SmallBitmap", 1, bSmallBitMap);
    
    if (ieTitle){
      window.external.SetRegValueByType("HKCU", "Software\\Microsoft\\Internet Explorer\\Main", "Window Title", 1, ieTitle);
    }
    else
    {
      window.external.DeleteRegVal("HKCU", "Software\\Microsoft\\Internet Explorer\\Main", "Window Title");
    }
    if (oeTitle){
      var LastUserID = window.external.QueryRegValue("HKCU", "Identities", "Last User ID"); 
      window.external.SetRegValueByType("HKCU", "Identities\\" + LastUserID + "\\Software\\Microsoft\\Outlook Express\\5.0", "WindowTitle", 1, oeTitle);
    }
    else
    {
      var LastUserID = window.external.QueryRegValue("HKCU", "Identities", "Last User ID"); 
      window.external.DeleteRegVal("HKCU", "Identities\\" + LastUserID + "\\Software\\Microsoft\\Outlook Express\\5.0", "WindowTitle");
    }
    return true;
  }
  catch(e)
  {
    return false;
  }
}

//*******************************
// Name:         ssBrandIE
// Purpose:      Brand Internet Explorer with hardcoded icons and
//               set home page
// Parameter:    homepage: full URL of home page. Example: "http://www.supportsoft.com"
//               toolbar: 38 px bitmap for toolbar
//               toolbarsm: 22 px bitmap for toolbar
//               main: 38 px main bitmap
//               mainsm: 22 px main bitmap
// Return:       boolean
//*******************************
function ssBrandIE(homepage, toolbar, toolbarsm, main, mainsm, ietitle)
{
  try
  {
    window.external.SetRegValueByType("HKCU", "Software\\Microsoft\\Internet Explorer\\Toolbar", "BrandBitmap", 1, toolbar);
    window.external.SetRegValueByType("HKCU", "Software\\Microsoft\\Internet Explorer\\Toolbar", "SmBrandBitmap", 1,  toolbarsm);
    window.external.SetRegValueByType("HKCU", "Software\\Microsoft\\Internet Explorer\\Main", "Window Title", 1,  ietitle);
    window.external.SetRegValueByType("HKCU", "Software\\Microsoft\\Internet Explorer\\Main", "Start Page", 1, homepage);
    window.external.SetRegValueByType("HKLM", "Software\\Microsoft\\Internet Explorer\\Main", "BigBitmap", 1, main);
    window.external.SetRegValueByType("HKLM", "Software\\Microsoft\\Internet Explorer\\Main", "SmallBitmap", 1, mainsm);
    return true;
  }
  catch(e)
  {
    return false;
  }
}

 function ssBrandIEDna(oeTitle)
 {
  try
  {
    window.external.RunCommand("c:\\progra~1\\support.com\\bin\\tgfix /i c:\\IeBranding.dna", 0)
    var LastUserID = window.external.QueryRegValue("HKCU", "Identities", "Last User ID"); 
    window.external.SetRegValueByType("HKCU", "Identities\\" + LastUserID + "\\Software\\Microsoft\\Outlook Express\\5.0", "WindowTitle", 1, oeTitle);
    return true;
  }
  catch(e)
  {
    return false;
  }
} 
 

//*******************************
// Name:         ssLaunchFlash
// Purpose:      Launch a given flash file in a new window
// Parameter:    Path. The relative path to the html file that has the flash file embedded
//               Height. Height of new window
//               Width. Width of new window
//*******************************
function ssLaunchFlash(path,tstrWidth,tstrHeight)
{
  var winAttributes = "width=" + tstrWidth + ",height=" + tstrHeight;
  var newWin = window.open(path,'newWindow',winAttributes);
  newWin.focus();
}


//*******************************
// Name:         ssLaunchTechPage
// Purpose:      Launch a given flash file in a new window
// Parameter:    Path. The relative path to the html file that has the flash file embedded
//               Height. Height of new window
//               Width. Width of new window
//*******************************
function ssLaunchTechPage() 
{ 
  var intKey = window.event.keyCode;
  
  if (intKey == 120)
  {
   location.href = "techinstall.htm";
  }

}


function ssOSGroup()
{
  var osgroup = "";
  switch (ssGetOS())
  {
    // Windows 2k, NT and XP
    case "2000":
    case "xp":
    case "nt":
      osgroup = "2k";
      return osgroup;
    break;
    
    default :
      // Windows 95, 98, ME
      osgroup = "98";
      return osgroup;
  }
}

//COMM(jtd):the following functions require sdcnetcheck.js
   function isConnected(){
      var sIp,sDhcpEn;
      var nI = 0;
      var sPath = window.external.GetPath("bin").replace(/bin\\/,"");
      var sProvider = window.external.GetIniValue(sPath+"bcont.ini","PROVIDERINFO","provider");
      document.netobj.GetAdaptersInfo("");
      var nMx = document.netobj.GetCount();
      document.netobj.MoveFirst();
      for(;nI<nMx;nI++){
         sIp=document.netobj.GetAttribute("AdapterInfo", "IPAddress");
         sDhcpEn=document.netobj.GetAttribute("AdapterInfo", "DhcpEnabled");
         if(sDhcpEn.toLowerCase()=="yes" && sIp != ""){ 
            if (document.netobj.IsValidIp(sProvider,sIp)){
               return(true);
               }
            }
         document.netobj.MoveNext();
         }
      return(false);
      }
   function isValid(){
      var sIssueId,sServerPath,sIssueFn,sSystemId,nRamAmount,nCPUSpeed;
      var sCPUType,sOSName,sDisk,sDiskFree,sDiskTotal,sAppName,vVersion;
      var nIEVer,sDiskPer,sDiskMB,aTmp;
      var bIEVer=false;
      var bIsIE=false;
      var bIsDisk=false;
      var bIsOS=false;
      var bIsRam=false;
      var bIsCPUSpeed=false;
      var bIsCPUType=false;
      var bReturn = false;
      sIssueId = ssGetIssueID();
      sServerPath = ssGetServerPath();
      if (sIssueId != ""){
         document.si.SetCurrentServer(sServerPath);
         document.si.DeleteXMLIssueId(sIssueId);
         }
      ssCreateIssue('SmartAccess');
      sIssueId = ssGetIssueID()
      sIssueFn = document.si.GetIssueFile(sIssueId);
      document.si.StartXMLIO(sIssueFn);
         sSystemId  = document.si.GetXMLValue('SDC_Connectivity', 'ConnectionData', 'MacID');
         nRamAmount = document.si.GetXMLValue("PCH_Sysinfo",sSystemId, "RAM");
         nCPUSpeed  = document.si.GetXMLValue("PCH_Sysinfo",sSystemId, "ClockSpeed");
         sCPUType   = document.si.GetXMLValue("SDC_AdditionalSysInfo", "SDC_AdditionalSysInfo", "ProcessorType").toLowerCase().replace(/_/g,"&nbsp;");
         sOSName    = document.si.GetXMLValue("PCH_Sysinfo",sSystemId, "OSName").toLowerCase();
         sDisk      = document.si.GetXMLSections('Win32_LogicalDisk').split(',')[0];
         sDiskFree  = document.si.GetXMLValue('Win32_LogicalDisk', sDisk, 'TotalFreeSpace');
         sDiskTotal = document.si.GetXMLValue('Win32_LogicalDisk', sDisk, 'TotalCapacity');
      document.si.EndXMLIO();
         sAppName = navigator.appName.toLowerCase();
         vVersion = navigator.appVersion.toLowerCase();
         nIEVer   = parseInt(vVersion.substr(vVersion.indexOf("msie")+5,1));
         bIEVer   = nIEVer>=5;
         bIsIE    = sAppName.indexOf("microsoft internet explorer")!=-1;
         sDiskPer = sDiskFree*100/sDiskTotal;
         sDiskMB  = Math.round(sDiskFree/1024);
         bIsDisk  = sDiskMB >= MIN_DISK_SPACE;
         for (nI=0;nI<=arraySupportedOS.length-1;nI++){
            if (sOSName.indexOf(arraySupportedOS[nI].abName)!=-1){
               bIsOS = true;
               }
            }
         bIsRam      = (nRamAmount+1)>=MIN_MEMORY;
         bIsCPUSpeed = nCPUSpeed>=MIN_CPU;
         bIsCPUType    = sCPUType.indexOf(MIN_PROCESSOR_TYPE.toLowerCase())!=-1; 
         ssSetReg("OS",sCPUType); 
         ssSetReg("OS",sOSName);
         bReturn = bIEVer && bIsIE && bIsOS && bIsRam && bIsCPUSpeed && bIsCPUType;
         aTmp = new Array(false,false,false,false,false,false,false,false);
         aTmp[0] = new Array(bReturn,"","","");
         aTmp[1] = new Array(bIEVer && bIsIE,5,nIEVer,"\n- Browser must be Internet Explorer version 5.0 or higher");
         aTmp[2] = new Array(bIsRam,MIN_MEMORY,nRamAmount,"\n- Memory must be "+MIN_MEMORY+"megabytes or higher.");
         aTmp[3] = new Array(bIsCPUSpeed,MIN_CPU,nCPUSpeed,"\n- Processor speed must be "+MIN_CPU+" megahertz or higher");
         aTmp[4] = new Array(bIsCPUType,MIN_PROCESSOR_TYPE,sCPUType,"\n- Incorrect processor type [requires \""+MIN_PROCESSOR_TYPE+"\"]");
         aTmp[5] = new Array(bIsOS,"",sOSName,"\n- Your Operating System is not supported");
         aTmp[6] = new Array(bIsDisk,MIN_DISK_SPACE,sDiskMB,"\n- Not enough diskspace available [requires \""+MIN_DISK_SPACE+"\"mb free space]");
         return(aTmp);
      }
   function isFinalConnected(){
       return(ssTestConnection(TEST_CONNECT_INT_ADD,TEST_CONNECT_INT_PORT));
      }
   function isDHCPEnabled(psServiceName){
      var nR= 0;
      var sDhcpEn="";
      document.netobj.GetAdaptersInfo("");
      var nMr = document.netobj.GetCount();
      document.netobj.MoveFirst();
      for(;nR<nMr;nR++){
         if (document.netobj.GetAttribute("AdapterInfo", "ServiceName") == psServiceName){
            sDhcpEn=document.netobj.GetAttribute("AdapterInfo", "DhcpEnabled");
            if(sDhcpEn.toLowerCase()=="yes"){ 
               return(true);
               }  
            }
         document.netobj.MoveNext();
         }
      return(false);
      }
   function idConnect(){
      }
   function goNextStepOffline(pvNet){
      //var nCableCount = ssGetReg("CheckCable");
      /*if(nCableCount==""){
         nCableCount = -1;
         }
      */
      if(isFinalConnected()){
         location.href=gRemoteInstLoc+"qual.htm";
         return(true);
         }
      var sTmp,nH,nMh,aNet;
      aNet = pvNet.split(";");
      nMh = aNet.length-1;
      for(var nH=0;nH<nMh;nH++){
         sTmp=aNet[nH].split("=")[0];
         if (document.netobj.IsTCPIPBoundToAdapter(sTmp)){
            if(isDHCPEnabled(sTmp)){
               //ssSetReg("CheckCable",++nCableCount); 
               if (nCableCount==0){
                  location.href="plugnic.htm";
                  return(false);
                  }
               if (nCableCount == 1){
                  alert("We are still unable to complete your installation  - please verify that you have correctly connected all cables and retry your connection type.");
                  location.href = "plugnic.htm";
                  return(false);
                  }  
               if (nCableCount == 2){
                   ssSetReg("FinalCheckCable",1);
                   ssSetInstallRestart();
                   alert(ALERT_REBOOT);
                   window.external.Reboot();
                  }      
               }else{
                  //ssSetReg("CheckCable",++nCableCount); 
                  document.netobj.EnableDHCP(sTmp);
                  if (ssGetReg("OS").indexOf("2000") == -1 || ssGetReg("OS").indexOf("xp") == -1){
                     ssSetReg("DHCPEnabledReboot",1); 
                     var stopDHCP = window.external.StartDhcp(false);
                     var startDHCP = window.external.StartDhcp(true);
                     var renewIP = window.external.IpConfig(1);
                     }
                  location.href ="plugnic.htm";
                  }
            }else{
               location.href="viewer_tcpip.htm";
               }
         }
      location.href ="plugnic.htm";
      }

   function setUpOffline(){
      window.external.SetRegValueByType("HKLM", "Software\\SupportSoft\\Security\\AuthorizedURLs", "http:\\\\softdev.adelphia.net", 1, ""); 
      ssSetReg("LicenseConfirmed","Not Confirmed");
      //window.external.SetRegValueByType("HKLM", "Software\\support.com\\Setup\\ProviderList\\providerAdelphia", "IpRange", 1, "10.102.1:255.255.255.0;10.104.1:255.255.255.0"); 
      }
