//**********************************************************************************
//**
//**  File Name: display.js
//**
//**  Summary: SupportSoft HTML Display JavaScript File
//**
//**  Description: This file contains global functions and structures used by
//**               serveral pages to help display common page features like 
//**               navigation and help.
//**
//**  Copyright SupportSoft Inc. 2003, All rights reserved.
//**
//**********************************************************************************

//**********************************************************************************
// Constants
//**********************************************************************************

// Constants for branding
var COMPANY_LOGO;

// set the proper company logo based on region/division
COMPANY_LOGO = "../images/sacbr_homenet_header.gif";     // Company logo in upper right corner

var PRODUCT_LOGO =         "../images/sacbr_fastaccess_title.gif"; // Product logo in upper left corner
var BANNER_BACKGROUND =    "../images/sacrs_title_texture.gif";     // Background image for top banner
var BANNER_BGCOLOR =       "#0066cc";                               // Background color for top banner
var FOOTER_BGCOLOR =       "#000066";                               // Background color for footer
var TOTAL_STEPS =                4;                                 // Total steps in installation

// Status lights
var SRC_STATUS_LIGHT_GREEN = "../images/sacic_light_green.gif";
var SRC_STATUS_LIGHT_RED = "../images/sacic_light_red.gif";
var SRC_STATUS_LIGHT_YELLOW = "../images/sacic_light_yellow.gif";
var gStatusLightGreen = '<img src="' + SRC_STATUS_LIGHT_GREEN + '" border="0" hspace=5>';
var gStatusLightRed = '<img src="' + SRC_STATUS_LIGHT_RED + '" border="0" hspace=5>';
var gStatusLightYellow = '<img src="' + SRC_STATUS_LIGHT_YELLOW + '" border="0" hspace=5>';

// Message Constants
var TEXT_DISCONNECTED = "<font color=990000><b>Network Card Disconnected!</b></font>";
var CONFIRM_DHCP = "We will now enable DHCP on your computer. This is necessary in order to proceed.";
var ALERT_REBOOT = "Please close all other programs and press \"OK\" to reboot";

// Glossary items for the mouseover event on key terms
var GLOSSARY_CACHE = "<b>What is cache?</b><br>Your browser keeps track of the pages you've visited and saves them to your computer. This helps Web pages load faster when you revisit them. These are stored in your &quot;Temporary Internet Files&quot; directory. These files are not vital to your computer. They merely help load Web pages faster on return visits.";

var GLOSSARY_TEMP_FILES = "<b>What are temporary files?</b><br>For many different reasons (like during program installation), your computer occasionally saves files that it needs only temporarily to your temporary files directory on your hard drive.";

// Progress images
var img1 = new Image();
img1.src = "../images/sac_status_modem_off.gif";

var imgon1 = new Image();
imgon1.src = "../images/sac_status_modem_on.gif";

var img2 = new Image();
img2.src = "../images/sac_status_computer_check_off.gif";

var imgon2 = new Image();
imgon2.src = "../images/sac_status_computer_check_on.gif";

var img3 = new Image();
img3.src = "../images/sac_status_software_off.gif";

var imgon3 = new Image();
imgon3.src = "../images/sac_status_software_on.gif";

var img4 = new Image();
img4.src = "../images/sac_status_confirm_off.gif";

var imgon4 = new Image();
imgon4.src = "../images/sac_status_confirm_on.gif";

var imgon5 = new Image();
imgon5.src = "../images/sac_status_confirm_on.gif";

//**********************************************************************************
// Functions
//**********************************************************************************

//*******************************
// Name:         ssGetImagePath
// Purpose:      Set the path to the images directory so that images will show no matter what
//               subdirectory we are in.
//*******************************
function ssGetImagePath()
{
  var url = location.href;
  url = url.toLowerCase();
  var dslDir = "/Cable/";
  var cableDir = "/cable/";
  var tutorialDir = "/tutorial/";
  var imgPath;

  if (url.indexOf(dslDir) != -1 || url.indexOf(cableDir) != -1 || url.indexOf(tutorialDir) != -1)
  {
    imgPath = "../../images/";
  }
  else
  {
    imgPath = "../images/";
  }
  return imgPath;
}
/*
// Minimum requirements
var MIN_MEMORY = 32;
var MIN_CPU = 133;
var MIN_DISK_SPACE = 150;
var MIN_IE_VERSION = 5.0;
var MIN_EMAIL_CLIENT = "Outlook Express";
var MIN_BROWSER_TYPE = "Internet Explorer";
var MIN_PROCESSOR_TYPE = "Pentium"
// Recommended requirements
var REC_MEMORY = 64;
var REC_CPU = 200;
var REC_DISK_SPACE = 150;
*/
//*******************************
// Name:         ssDisplayGeneralInfo
// Purpose:      Display diagnostic information that was retrieved from ssGeneralInfo() (sdcnetcheck.js)
//*******************************
function ssDisplayGeneralInfo()
{
  document.write("<table border='0' id=\"checktable\" noshade cellpadding='2' cellspacing='0'><tr valign=middle>")
  document.write("<td colspan=3 align=right><b>Yours</b>&nbsp;&nbsp;</td><td align=right>&nbsp;&nbsp;<b>Minimum</b>&nbsp;&nbsp;</td><td align=right>&nbsp;&nbsp;<b>Recommended</b>&nbsp;&nbsp;</td></tr><tr valign=middle>");
  document.write("<td>" + gMemory + "</td><td width=300 nowrap>&nbsp;&nbsp;<b>Total Physical Memory (MB RAM):</b></td><td nowrap align=right>" + gTotalRam + "</td><td nowrap align=right>" + MIN_MEMORY + "</td><td nowrap align=right>" + REC_MEMORY + "</td><td align=right nowrap><span id=ramFix>" + gRamFix + "</span></td></tr><tr> ");
  document.write("<td>" + gCpuCheck + "</td><td nowrap>&nbsp;&nbsp;<b>CPU Speed (MHZ):</b></td><td nowrap align=right>" + gCPU + "</td><td nowrap align=right>" + MIN_CPU + "</td><td nowrap align=right>" + REC_CPU + "</td><td align=right nowrap><span id=cpuFix>" + cpuFix + "</span></td></tr><tr> ");
  document.write("<td>" + gFreeSpace + "</td><td nowrap>&nbsp;&nbsp;<b>Free Disk Space (MB):</b</td><td nowrap align=right>" + gFreeSpaceMB + "</td><td nowrap align=right>" + MIN_DISK_SPACE + "</td><td nowrap align=right>" + REC_DISK_SPACE + "</td><td align=right nowrap><span id=diskFix>" + gDiskFix + "</span></td></tr>");
  document.write("<td width=5>" + gOSImage + "</td><td nowrap width=100%>&nbsp;&nbsp;<b>Operating System:</b></td><td nowrap colspan=3>" + gOpSystem.toUpperCase() + "</td><td align=right nowrap><span id=osFix>" + gOsFix + "</span></td></tr><tr>");
  document.write("<td width=5>" + gProcessorType + "</td><td nowrap width=100%>&nbsp;&nbsp;<b>Processor:</b></td><td nowrap colspan=3>" + gProcessor + "</td><td align=right nowrap><span id=osFix>" + gProcessorTypeFix + "</span></td></tr>");
  document.write("</table>");
}

//*******************************
// Name:         ssDisplayAdapterInfo
// Purpose:      Display diagnostic information for each network adapter
//*******************************
function ssDisplayAdapterInfo()
{
  // Begin network adapter checks
  var workingAdapter = false;
  
  // Build table HTML for use if we don't find a usable adapter
  var strTable = "<table border=0>";
  strTable += "<tr valign=top>";
  strTable += "<td nowrap>" + gStatusLightRed + "</td>";
  strTable += "<td nowrap>&nbsp;<b>Network Card(s):</b>&nbsp;&nbsp;Please try one of the solutions below.<br>";

  // build list box of adapters
  strTable += "<div ID='aSelect' class=networkbox>";
  gAdaptTypeCount = 0;
  var modType = ssGetReg("ModemType");

  for (j=0; j < arrayDesc.length; j++)
  {
    var adapterDesc = arrayDesc[j];
    var adapterType = ssAdapterType(adapterDesc);
    var adapterCheck = ssTestAdapter(j);
    
    // Format to uppercase for UI
    if (modType.toLowerCase() == "usb")
    {
      modType = modType.toUpperCase();
    }

    // Do we have a usable adapter of selected type (USB or ethernet)?
    if (adapterCheck && adapterType == ssGetReg("ModemType"))
{
      workingAdapter = true;
    }

    // Only show adapter if it matches modem type in registry
    if (adapterType == ssGetReg("ModemType"))
    {
      // Write out name, status and solution for each adapter
      strTable += "<div style='background-color:#eeeeee; border-style:solid; border-width:1px; border-color:#000000; padding:3,3,3,3;'>&nbsp;" + j + " - " + adapterDesc + ":&nbsp;&nbsp;<b>" + gAdapterStatus.toUpperCase() + "</b>&nbsp;&nbsp;" + gFix + "</div><br>";
      gAdaptTypeCount = gAdaptTypeCount + 1;
    }
  }

  // If No Adapter of selected type is found...
  if (gAdaptTypeCount == 0)
  {
    strTable += "<div style='background-color:#eeeeee; border-style:solid; border-width:1px; border-color:#000000; padding:3,3,3,3;'>&nbsp;No " + modType + " adapter found. <a href='modemtype.htm'>Please select a different adapter type.</a>";
    //alert (modType);
    if (modType == "ethernet")
    {
      strTable += "<br>&nbsp;Or, make sure your ethernet card is <a href='install.htm'>installed</a> correctly.";
    }
  }

  // Finish building table HTML
  strTable += "</div><br></div></td>";
  strTable += "</tr>";
  strTable += "</table>";

  // Only show the adapters if we don't find a usable one of selected type
  if (!workingAdapter || gAdaptTypeCount == 0)
  {
    document.write(strTable);
    flagPass = false;
  }
  else
  {
    /*strTable = "<table border=1>";
    strTable += "<tr valign=top>";
    strTable += "<td nowrap>" + gStatusLightGreen + "</td>";
    */
    var myrow = document.all.checktable.insertRow();
    var newRo = myrow.insertCell();
    newRo.innerHTML=gStatusLightGreen;
    newRo = myrow.insertCell();
    newRo.innerHTML = "<b>&nbsp;&nbsp;Network Card(s):</b>";
    newRo = myrow.insertCell();
       newRo.colSpan = 3;
       newRo.innerHTML = "Usable " + modType + " adapter found";
    
    
    /*
    strTable += "<td nowrap>&nbsp;<b>Network Card(s):</b>Usable " + modType + " adapter found</td>";    
    strTable += "</tr>";
    strTable += "</table>";
    document.write(strTable);
    */
  }
}

//*******************************
// Name:         ssDisplayBanner
// Purpose:      Displays the top banner with company and product logos
//*******************************
function ssDisplayBanner()
{
  document.write('<table cellspacing="0" cellpadding="0" width="100%" border="0">');
  document.write('<tr>');
  document.write('<td bgcolor=' + BANNER_BGCOLOR + ' align=right><img src="' + COMPANY_LOGO + '" border=0 align=left vspace=0 hspace=0></td>');
  document.write('</tr>');
  document.write('</table>');
}

//*******************************
// Name:         ssDisplayBanner
// Purpose:      Displays the top banner with company and product logos
//*******************************
function ssDisplayBanner2()
{
  document.write('<table cellspacing="0" cellpadding="0" width="100%" border="0">');
  document.write('<tr>');
  document.write('<td bgcolor=' + BANNER_BGCOLOR + ' align=right><img src="' + COMPANY_LOGO + '" border=0 align=left vspace=0 hspace=0></td>');
  document.write('</tr>');
  document.write('</table>');
}

//*******************************
// Name:         ssDisplayFooter
// Purpose:      Display the page footer with steps on left and SupportSoft logo on right
// Parameter:    Step -- The step of the current page
//*******************************
function ssDisplayFooter(tintStep)
{
  document.write('<br><br><table border=0 cellpadding=0 cellspacing=0 width=100%>');
  document.write('<tr>');
  if (tintStep == "finished")
  {
    document.write('<td class="steps">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Finished!</b></td>');
  }
  else if (tintStep == "")
  {
    document.write('<td class="steps">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>');
  }
  else if (tintStep != "help")
  {
    document.write('<td class="steps">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>');
   /* document.write('<td class="steps" nowrap><img src="../images/spacer.gif" border=0 width=10 height=1><img id="step1" name="step1" src="../images/sac_status_modem_off.gif">');
    document.write('<img id="step2" name="step2" src="../images/sac_status_computer_check_off.gif">');
    document.write('<img id="step3" name="step3" src="../images/sac_status_software_off.gif">');
    document.write('<img id="step4" name="step4" src="../images/sac_status_confirm_off.gif">');
    document.write('<img id="step5" name="step5" src="../images/sac_status_confirm_on.gif">');
    document.write('</td>');
    // highlight the current step
    var curStep = tintStep.toString();
    curStep = "step" + curStep;
    var objSpan;
    objSpan = eval("document.all." + curStep);

    var strImg = tintStep.toString();
    strImg = "img" + strImg;
    var strImgon = tintStep.toString();
    strImgon = "imgon" + strImgon;
    strImgon = eval(strImgon + ".src");

    // Set the image source to the on state
    objSpan.src = strImgon;
   */

  }
  document.write('</tr>');
  document.write('</table>');

  // Set the top value for the footer <div> based on the container height specified in ini file
  var winHeight = window.external.GetIniValue("", "SETUP", "height");
  var footerTop = (winHeight - 55);
  document.all.footer.style.pixelTop = footerTop;
  
}

//*******************************
// Name:         ssDisplayResultsBox
// Purpose:      Displays box with blue background in header and rule down right side.
//               Used for displaying diagnostic results and other lists.
// Usage:        Call once before content, passing a 1 as the first parameter.
//               Call again after content, passing a 2 as the first parameter.
// Parameter:    Top -- Integer. 1 indicates the beginning of box; 2 indicates closing of box.
//               Path -- Path to image directory. IE, ../images
//*******************************
function ssDisplayResultsBox(tintTop,tstrImagePath) {
  if (tintTop == 1) {
    document.write("<table border=0 cellspacing=0 cellpadding=0><tr>");
    document.write("<td><img src='" + tstrImagePath + "/sacrs_tl_bluewire.gif'></td>");
    document.write("<td background='" + tstrImagePath + "/sacrs_t_bluewire.gif'><img src='images/spacer.gif' width=1 height=19></td>");
    document.write("<td><img src='" + tstrImagePath + "/sacrs_tr_bluewire.gif'></td></tr><tr>");
    document.write("<td background='" + tstrImagePath + "/sacrs_l_bluewire.gif'><img src='" + tstrImagePath + "/spacer.gif' width=19 height=1></td><td>");
  }
  else {
    document.write("</td><td background='" + tstrImagePath + "/sacrs_r_bluewire.gif'><img src='" + tstrImagePath + "/spacer.gif' width=19 height=1></td></tr><tr>");
    document.write("<td><img src='" + tstrImagePath + "/sacrs_bl_bluewire.gif'></td>");
    document.write("<td background='" + tstrImagePath + "/sacrs_b_bluewire.gif'><img src='" + tstrImagePath + "/spacer.gif' width=1 height=19></td>");
    document.write("<td><img src='" + tstrImagePath + "/sacrs_br_bluewire.gif'></td></tr></table>");
  }
}
//*******************************
// Name:         ssDisplayHeader
// Purpose:      Display a given header image and step number
// Parameter:    Header -- Text to be displayed as header if page is not in arraySteps
//               Step -- Integer representing desired step (unrelated to arraySteps) of current page
//*******************************
function ssDisplayHeader(tstrHeader,tintStep)
{
  document.write('<table cellpadding="0" cellspacing="0" width="750" border="0">');
  document.write('<tr>');

  // If the page is in arraySteps, grab the title from the array
  if (ssGetPageIndex() != -1)
  {
    document.write('<td align=left class=pageheader>' + arraySteps[ssGetPageIndex()].title + '<br></td>');
  }
  // If page is not in the steps array, use tstrImg as the title
  else
  {
    document.write('<td align=left class=pageheader>' + tstrHeader + '<br></td>');
  }

  //document.write('<td align=right><a href="javascript:ssExitApp();" onMouseover="exiticon.src=\'../images/sacic_exit_small_over.gif\'" onMouseout="exiticon.src=\'../images/sacic_exit_small.gif\'"><img src="../images/sacic_exit_small.gif" border="0" name="exiticon" hspace="7"></a><span id="helplink" style="visibility:visible;"><a href="javascript:ssDisplayHelp();" onMouseover="helpicon.src=\'../images/sacic_help_small_over.gif\'" onMouseout="helpicon.src=\'../images/sacic_help_small.gif\'"><img src="../images/sacic_help_small.gif" name="helpicon" border=0></a></span></td>');
  document.write('<td align=right><span id="helplink" style="visibility:visible;"><a href="javascript:ssDisplayHelp();" onMouseover="helpicon.src=\'../images/sacic_help_small_over.gif\'" onMouseout="helpicon.src=\'../images/sacic_help_small.gif\'"><img src="../images/sacic_help_small.gif" name="helpicon" border=0></a></span></td>');
  document.write('</tr>');
  document.write('</table>');
}


function ssDisplayHeader2(tstrHeader , tintStep )
{
  document.write('<img src="../images/professor_guy_tools.gif" border=0 align=left>');
  document.write('<table cellpadding="1" cellspacing="0" width="" border=0>');
  document.write('<tr>');
 
    document.write('<td align=left class=pageheader>' + tstrHeader + '</td>');
 

//  document.write('<td align=right><a href="javascript:ssDisplayHelp();" onMouseover="helpicon.src=\'../images/sacic_help_small_over.gif\'" onMouseout="helpicon.src=\'../images/sacic_help_small.gif\'"><img src="../images/sacic_help_small.gif" name="helpicon" border=0></a></td>');
  document.write('</tr>');
  document.write('</table>');
}




//*******************************
// Name:         ssDisplayButtons
// Purpose:      Display appropriate buttons and links at bottom of page
// Parameter:    URL -- The path that the "Continue" button will go to
//*******************************
function ssDisplayButtons(contHref){
  // if ( (ssGetPageIndex() != arraySteps.length-1) && ssGetNameIndex('reboot.htm') != ssGetPageIndex()){
   //if (ssGetPageIndex() != ssGetNameIndex('thankyou.htm') ){
      document.write('<div id="buttons">');
      document.write('<table border=0 width=700 cellspacing=0 cellpadding=0 align=center>');
      document.write('<tr>');
      document.write('<td>&nbsp;&nbsp;&nbsp;&nbsp;');

      // all pages but begin, swload and ver_static
      if (ssGetCurrentPage() != 'begin.htm' && ssGetCurrentPage() != 'swload.htm' && ssGetCurrentPage() != 'usb_disconnect.htm' && ssGetCurrentPage() != 'plugnic.htm' &&  ssGetCurrentPage() != 'license.htm'){
         document.write('<a href="javascript:ssGoPreviousStep();"><img name="back" src="../images/sacbn_back.gif" onMouseover="back.src=\'../images/sacbn_back_over.gif\';" onMouseout="back.src=\'../images/sacbn_back.gif\';" border=0></a>');
         document.write('<image src="../images/spacer.gif" width=50 height=1>');
         }
      // special cases for other pages
      if (ssGetNameIndex('license.htm') == ssGetPageIndex()){
         document.write('<a href="javascript:ssSetReg(\'OfflineLastPage\',\'begin.htm\');location.href=\'begin.htm\';"><img name="back" src="../images/sacbn_back.gif" onMouseover="back.src=\'../images/sacbn_back_over.gif\';" onMouseout="back.src=\'../images/sacbn_back.gif\';" border=0></a>');
         document.write('<image src="../images/spacer.gif" width=50 height=1>');
         document.write('<a href="javascript:Continue();"><img src="../images/sacbn_accept_over.gif" border="0" name="agree" onMouseover="agree.src=\'../images/sacbn_accept_over.gif\';" onMouseout="if(m_bContinue){agree.src=\'../images/sacbn_accept.gif\'};" tabindex=0></a>');
         document.write('<image src="../images/spacer.gif" width=50 height=1>');
         document.write('<a href="fail_lic.htm"><img src="../images/sacbn_do_not_accept.gif" border="0" name="disagree" onMouseover="disagree.src=\'../images/sacbn_do_not_accept_over.gif\';" onMouseout="disagree.src=\'../images/sacbn_do_not_accept.gif\';"></a>');
         //document.write('<a href="doNotAccpet();"><img src="../images/sacbn_do_not_accept.gif" border="0" name="disagree" onMouseover="disagree.src=\'../images/sacbn_do_not_accept_over.gif\';" onMouseout="disagree.src=\'../images/sacbn_do_not_accept.gif\';"></a>');
         document.write('<image src="../images/spacer.gif" width=50 height=1>');
         document.write('<a href="javascript:window.print();"><img src="../images/sacbn_print.gif" border="0" name="print" onMouseover="print.src=\'../images/sacbn_print_over.gif\';" onMouseout="print.src=\'../images/sacbn_print.gif\';"></a>');
         }else if (ssGetCurrentPage() == 'swload.htm'){
            // Don't display buttons
            document.write('<img src="../images/spacer.gif" border="0" height="27" width="1"');
            }else if(ssGetCurrentPage() == 'usb_disconnect.htm'){
                document.write('<a href="javascript:location.href=\'modemtype.htm\';"><img name="back" src="../images/sacbn_back.gif" onMouseover="back.src=\'../images/sacbn_back_over.gif\';" onMouseout="back.src=\'../images/sacbn_back.gif\';" border=0></a>');
               document.write('<image src="../images/spacer.gif" width=50 height=1>');
               document.write('<a href="quit.htm"><img name="contlater" src="../images/sacbn_continue_later.gif" onMouseover="contlater.src=\'../images/sacbn_continue_later_over.gif\';" onMouseout="contlater.src=\'../images/sacbn_continue_later.gif\';" border=0></a>&nbsp;&nbsp;&nbsp;&nbsp;');
               document.write('</td>');
               document.write('<td align=right>');
               document.write('<a href=\"javascript:' + contHref + '\" onMouseover="this.style.cursor=\'hand\'; cont.src=\'../images/sacbn_continue_over.gif\';" onMouseout="cont.src=\'../images/sacbn_continue.gif\';"><img name="cont" src="../images/sacbn_continue.gif" border="0" tabindex=0></a>');
            }else if(ssGetCurrentPage() == 'plugnic.htm'){
               document.write('<a href="javascript:location.href=\'modemtype.htm\';"><img name="back" src="../images/sacbn_back.gif" onMouseover="back.src=\'../images/sacbn_back_over.gif\';" onMouseout="back.src=\'../images/sacbn_back.gif\';" border=0></a>');
               document.write('<image src="../images/spacer.gif" width=50 height=1>');
               document.write('<a href="quit.htm"><img name="contlater" src="../images/sacbn_continue_later.gif" onMouseover="contlater.src=\'../images/sacbn_continue_later_over.gif\';" onMouseout="contlater.src=\'../images/sacbn_continue_later.gif\';" border=0></a>&nbsp;&nbsp;&nbsp;&nbsp;');
               document.write('</td>');
               document.write('<td align=right>');
               document.write('<a href=\"javascript:' + contHref + '\" onMouseover="this.style.cursor=\'hand\'; cont.src=\'../images/sacbn_continue_over.gif\';" onMouseout="cont.src=\'../images/sacbn_continue.gif\';"><img name="cont" src="../images/sacbn_continue.gif" border="0" tabindex=0></a>');
               }else{
               document.write('<a href="quit.htm"><img name="contlater" src="../images/sacbn_continue_later.gif" onMouseover="contlater.src=\'../images/sacbn_continue_later_over.gif\';" onMouseout="contlater.src=\'../images/sacbn_continue_later.gif\';" border=0></a>&nbsp;&nbsp;&nbsp;&nbsp;');
               document.write('</td>');
               document.write('<td align=right>');
               document.write('<a href=\"javascript:' + contHref + '\" onMouseover="this.style.cursor=\'hand\'; cont.src=\'../images/sacbn_continue_over.gif\';" onMouseout="cont.src=\'../images/sacbn_continue.gif\';"><img name="cont" src="../images/sacbn_continue.gif" border="0" tabindex=0></a>');
               }
      // put focus on continue button except on form pages
      if (ssGetCurrentPage() != "license.htm" && ssGetCurrentPage() != "adapters.htm"  && ssGetCurrentPage() != "devices.htm"  && ssGetCurrentPage() != "register.htm" && ssGetCurrentPage() != "username.htm"){
         document.all.cont.focus();
         }
      document.write('</td>');
      document.write('</tr>');
      document.write('</table>');
      document.write('</div>');
 //     }
}

//*******************************
// Name:         ssLayerMouseover
// Purpose:      Displays mouseover glossary with coordinates relative to mouse position
//               Used in conjunction with ssLayerMouseout
// Parameter:    Event -- Value must be event
//               Message -- String message to be displayed on mouseover. Should use constants, like
//                          GLOSSARY_CACHE above
//               <DIV> -- String name of <DIV> that will display message.
//               y -- offset of y mouse coordinate
//               x -- offset of x mouse coordinate
//*******************************
function ssLayerMouseover(event,strMsg,div,y,x)
{
  if (document.all[div] == undefined)
  {
    var objDiv = document.createElement("DIV");
    document.body.appendChild(objDiv);
  }
  else
  {
    var objDiv = document.all[div];
  }
  objDiv.id = div;
  objDiv.name = div;
  objDiv.style.position = "absolute";
  objDiv.style.visibility = "hidden";
  objDiv.style.backgroundColor = "#ffffcc";
  objDiv.style.fontSize = "9pt";
  objDiv.style.padding = "4px";
  objDiv.style.borderStyle = "solid";
  objDiv.style.borderWidth = "1pt";
  objDiv.style.borderColor = "#000000";
  
  if (objDiv.style.visibility.value != "visible")
  {
    objDiv.style.pixelTop = window.event.y + y;
    objDiv.style.pixelLeft = window.event.x + x;
  }
  objDiv.style.visibility = "visible";
  objDiv.innerHTML = strMsg;
}

//*******************************
// Name:         ssLayerMouseout
// Purpose:      Hide mouseover glossary that is displayed with ssLayerMouseover()
//               Used in conjunction with ssLayerMouseover
//               <DIV> -- String name of <DIV> to be hidden
// Return:       Integer
//*******************************
function ssLayerMouseout(div)
{
  var objDiv = document.all[div];
  objDiv.style.visibility = "hidden";
  objDiv.innerHTML = "";
}

//*******************************
// Name:         ssDisplaySupportedOS
// Purpose:      Loop through and write out supported operating systems as
//               specified in sdcnetcheck.js (arraySupportedOS)
//*******************************
function ssDisplaySupportedOS()
{
  for (i=0; i <= arraySupportedOS.length-1; i++)
  {
    document.write(arraySupportedOS[i].fullname + "<br>");
  }
}

// Help functions
//*******************************
// Name:         ssWriteHelpScriptlet
// Purpose:      Write the object tag which calls the scriptlet (help.htm) that contains the help window,
//               in hidden mode, using layers and linking to helppage that
//               corresponds to the current page. ssDisplayHelp() will display help window.
//               This function must be called on HTML page for help to work.
//*******************************
function ssWriteHelpScriptlet()
{
  document.write('<OBJECT DATA="help.htm" ID="helpBox" STYLE="position:absolute; top:30px; left:250px; height:395px; width:540px; z-index:5;  padding:0px; border:0; visibility: hidden" TYPE="text/x-scriptlet"></OBJECT>');

}

//*******************************
// Name:         ssDisplayHelp
// Purpose:      Display help window for the current page
//*******************************
function ssDisplayHelp()
{
  document.all.helpBox.style.visibility = 'visible';
}
  
//*******************************
// Name:         ssCloseHelp
// Purpose:      Close help window
//*******************************
function ssCloseHelp()
{
  document.all.helpBox.style.visibility = 'hidden';
}

//*******************************
// Name:         ssDisplayAdapters
// Purpose:      Display adapters that were retrieved from ssFinalAdapterList() (sdcnetcheck.js)
//*******************************
function ssDisplayAdapters()
{
  document.write("<div name='list' id='list' style='display:block;'>");
  document.write("<table border='0' noshade cellpadding='2' cellspacing='0' width=720><tr valign=top>")
  document.write("<td nowrap><b>Select Adapter:</b><br>" + strNic + "<br><span id=nicFix>" + gNicFix + "</span></td></tr><tr> ");
  document.write("</table>");
  document.write("</div>");
}
